How to flash v 1.54 on Edison


#1

Hi, I’m running v1.41 and now I see there is a v1.54. I would like to flash it, but it is a .deb file. How do I flash that file?

Thank!


#2

FlytOS can autoupdate itself, once connected to internet.
Please follow this guide.

In case you face any issue while auto-updating, you can manually update by following this:

  • Download latest FlytOS for Edison from this link.
  • Run this command to install FlytOS: sudo dpkg -i flytosv1.5-4e.deb

#3

Excelent!
Is there a changelog for this version?

Can you make a script to change WiFi mode between AP and Client?

BTW, Happy New Year!!!


#4

Ok, just in case for other users.
I don’t have a direct link to the file, so I can’t use wget in Edison computer.
So, I download the file into my PC and then copy that using SSH:

scp flytosv1.5-4e.deb flytos@192.168.1.108:/home/flytos

I don’t be sure how autoupdate works.
I have Edison in hostpod mode, so I can connect to it’s WiFi and run flytconsole in my PC. But my PC is not connected to internet now, it is connected to Edison… So, how can I be connected to Edison and Internet at the same time?

Thank!


#5

I get this on my last log:
Mon Jan 1 13:17:30 2018: Updates ready for installation.
Mon Jan 1 13:17:30 2018: Starting installation with previous run flag 0:
Mon Jan 1 13:17:30 2018: bash: cannot set terminal process group (546): Inappropriate ioctl for device
Mon Jan 1 13:17:30 2018: bash: no job control in this shell
Mon Jan 1 13:17:32 2018:
Mon Jan 1 13:17:32 2018: [WARN] prev installation FAILED, not creating another backup
Mon Jan 1 13:17:32 2018:
Mon Jan 1 13:17:32 2018: [INFO] /flyt/updates/download/flytosv1.5-4e.zip file found, unzipping it to /flyt/updates/download/flytosv1.5-4e
Mon Jan 1 13:17:32 2018: bash: unzip: command not found
Mon Jan 1 13:17:32 2018:
Mon Jan 1 13:17:32 2018: [ERROR] Failed: unzipping /flyt/updates/download/flytosv1.5-4e.zip
Mon Jan 1 13:17:32 2018: Install status: False
Mon Jan 1 13:17:32 2018: FlytOS installation failed. Installation will be retried on next boot up. To avoid installing this version, you can blacklist it using FlytConsole. If you need support, post details on FlytOS forums.
Mon Jan 1 13:17:32 2018: Starting FlytOS…
Mon Jan 1 13:17:34 2018: Checking for new updates
Mon Jan 1 13:17:34 2018: Checking internet availability…
Mon Jan 1 13:17:34 2018: Couldn’t connect to internet: [Errno 101] Network is unreachable
Mon Jan 1 13:17:34 2018: Trying after: 60sec
Mon Jan 1 13:18:34 2018: Couldn’t connect to internet: [Errno 101] Network is unreachable
Mon Jan 1 13:18:34 2018: Trying after: 120sec
Mon Jan 1 13:20:34 2018: Couldn’t connect to internet: [Errno 101] Network is unreachable
Mon Jan 1 13:20:34 2018: Trying after: 120sec

It seems tha autoupdate didn’t work for a missing unzip program…


#6

Ok, after get unzip error, I download it and install it on Edison, then reboot.
Now my system is update.
I attached a log file.

Thank!
flyt_startup.log (34.7 KB)


#7

Hi @elgarbe,

Happy New Year to you too.
I would definitely add this to my TODO list. Thanks for the feature request.


#8

Thanks for pointing out the issue. Have raised the bug, and it should get resolved in next image update.